﻿using System;
using System.Runtime.InteropServices;
using OSApp_X64;
//using OpenSTAADUI;

namespace SampleOSApp
    {
    internal class Program
        {
        private static void Main (string[] args)
            {
            try
                {
                OpenSTAAD os = Marshal.GetActiveObject("StaadPro.OpenStaad") as OpenSTAAD;

                if ( os?.Geometry is OSGeometryUI osGeom )
                    {
                    int nodeCount = osGeom.GetNodeCount();
                    Console.WriteLine("Node Count = " + nodeCount);
                    Console.ReadKey();
                    }
                else
                    Console.WriteLine("Object not found");
                }
            catch ( Exception e )
                {
                Console.WriteLine(e);
                throw;
                }

            }
        }
    }
